html {
    min-height: 100dvh;
    background-color: #f0f0f0;
}
.dark html, html.dark {
    background-color: black;
}
body {
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100dvh;
    margin: 0;
    background-color: inherit;
    color: black;
    box-sizing: border-box;
}
.no-transition * {
    transition: none !important;
}
* {
    transition: color 0.5s ease, background-color 0.5s ease, border-color 0.5s ease, box-shadow 0.5s ease;
}
/* MÖRKT LÄGE */
.dark, .dark body, .dark html {
    background-color: black;
    color: white;
}
.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: env(safe-area-inset-top, 1rem);
    width: 100%;
}
.inputBox {
    margin-top: 3%;
    text-align: center;
    background: white;
    padding: 1vh;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    color: black;
}
.dark .inputBox {
    background: #222;
    color: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
}
.inputBox input {
    padding: 10px;
    width: 300px;
    margin-top: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background: inherit;
    color: inherit;
}
.dark .inputBox input {
    border-color: #444;
    background: #333;
}
.inputBox button {
    padding: 10px 20px;
    margin-top: 10px;
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}
.dark .inputBox button {
    background-color: #3f94f3;
}
.bulb {
    --size: 2rem;
    appearance: none;
    outline: none;
    cursor: pointer;
    width: var(--size);
    height: var(--size);
    background-color: #cccccc;
    border-radius: 999px;
    border: none;
    margin-top: 0.5rem;
}
.dark .bulb {
    background-color: transparent;
    box-shadow: inset calc(var(--size) * 0.33) calc(var(--size) * -0.25) 0 white;
}
.timeSection { text-align: center; margin-top: 5%; font-size: 1.6vh;}
.weekBox { text-align: center; font-size: 3vh; }
h5 { margin: 2%; white-space: nowrap; }
